precision highp float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;
uniform sampler2D uTexture2;

uniform mat4 uColorMatrix;

void main(){

  	  vec4 color = texture2D(uTexture, vTextureCoord.xy);
      vec4 c1;
      vec4 c2;
      vec3 hsv;
      c1.r = texture2D(uTexture2, vec2(color.r,0.1)).r;
      c1.g = texture2D(uTexture2, vec2(color.g,0.1)).g;
      c1.b = texture2D(uTexture2, vec2(color.b,0.1)).b;
      c1.a = 1.0;

      c1 = uColorMatrix*c1;

      c2.r = texture2D(uTexture2, vec2(c1.r,0.9)).r;
      c2.g = texture2D(uTexture2, vec2(c1.g,0.9)).g;
      c2.b = texture2D(uTexture2, vec2(c1.b,0.9)).b;

        gl_FragColor = vec4(c2.rgb,1.0);

}
